{ config, pkgs, ... }:

{
    programs.lf = {
        enable = true;
        settings = {
            icons = true;
            autoquit = true;
            mouse = true;
            number = true;
            relativenumber = true;
            cursorpreviewfmt = "";
        };
        keybindings = {
            "<backspace2>" = "quit";
            "<c-e>" = "half-up";
            "." = "set hidden!";
            "o" = "$nvim -c \"lua require(\\\"oil\\\").open(\\\"$PWD\\\")\"";
            "-" = "$nvim -c \"lua require(\\\"oil\\\").open(\\\"$PWD\\\")\"";
            "<enter>" = "open";
        };
    };
}
